Bug 355171 - Review Request: python-which - small GNU-which replacement
Review Request: python-which - small GNU-which replacement
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-27 08:53 EDT by Neal Becker
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 19:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-10-27 08:53:42 EDT
Spec URL: https://nbecker/RPM/python-which.spec
SRPM URL: https://nbecker/RPM/python-which-1.1.0-1.fc8.noarch.rpm
which.py is a small GNU-which replacement. It has the following features:

 * it can print all matches on the PATH;
 * it can note "near misses" on the PATH (e.g. files that match but 
   may not, say, have execute permissions); and
 * it can be used as a Python module.

NOTE: This is needed for dblatex which is in review
Comment 1 Neal Becker 2007-10-27 08:55:19 EDT
rpmlint says:
python-which.noarch: E: 
non-executable-script /usr/lib/python2.5/site-packages/which.py 0644

I think this is not an error.
Comment 2 Patrice Dumas 2007-10-27 16:09:26 EDT
The url is not the right one, and at the right one there is
no .src.rpm...
Comment 3 Neal Becker 2007-10-28 18:21:38 EDT
Sorry, make that:
https://nbecker/RPM/python-which.spec(In reply to comment #2)
> The url is not the right one, and at the right one there is
> no .src.rpm...
Sorry, make that:
Comment 4 Patrice Dumas 2007-10-28 19:07:43 EDT
* follow guidelines
* license MIT, license file included
* sane provides and requires
* rpmlint gives a warning because there is a shebang in 
  the module file. Not worth bothering.
python-which.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/which.py 0644
* %files section right
* match upstream
6f4abadf475af98e20664eac21f633a9  which-1.1.0.zip

Comment 5 Patrice Dumas 2007-10-28 19:10:34 EDT
Only one thing, I think that you should remove GNU 
in GNU-which, since there is no compatibility whith
GNu which, for instance not the same command line 
Comment 6 Neal Becker 2007-10-28 21:10:53 EDT
New Package CVS Request
Package Name: python-which
Short Description: which.py is a small which replacement
Owners: ndbecker2@gmail.com
Branches: devel, F8
InitialCC: pertusus@free.fr
Cvsextras Commits:
Comment 7 Toshio Ernie Kuratomi 2007-10-29 13:55:36 EDT
cvs done.
Comment 8 Neal Becker 2007-11-15 07:57:32 EST
Package Change Request
Package Name: python-which
New Branches: F-7 EL-5
Comment 9 Kevin Fenzi 2007-11-15 12:14:57 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.